#include <iostream>
using namespace std;

int main()
{
    long int n,a=1;
    cin>>n;
    while (a*a*a<=n)
    {
        if (n%a==0)
        {
            int b=n/a;
            int c=a;
            while (a*a<=b)
            {
                if (b%a==0)
                {
                    cout<<c<<"."<<a<<"."<<b/a<<endl;
                }
                a++;
            }
        }
        a++;
    }
    return 0;
}
